Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_RSA_PKCS_PSS_PARAMS

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_RSA_PKCS_PSS_PARAMS

public class CK_RSA_PKCS_PSS_PARAMS
extends java.lang.Object

class CK_RSA_PKCS_PSS_PARAMS provides the parameters to the CKM_RSA_PKCS_OAEP mechanism.

PKCS#11 structure:

     typedef struct CK_RSA_PKCS_PSS_PARAMS {
       CK_MECHANISM_TYPE hashAlg;
       CK_RSA_PKCS_MGF_TYPE mgf;
       CK_ULONG sLen;
     } CK_RSA_PKCS_PSS_PARAMS;

Author:
  Karl Scheibelhofer

Field Summary
`long` | `hashAlg` PKCS#11:
`long` | `mgf` PKCS#11:
`long` | `sLen` PKCS#11:

Constructor Summary
`CK_RSA_PKCS_PSS_PARAMS()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_PKCS5_PBKD2_PARAMS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hashAlg

    public long hashAlg

  PKCS#11:

         CK_MECHANISM_TYPE hashAlg;

### mgf

    public long mgf

  PKCS#11:

         CK_RSA_PKCS_MGF_TYPE mgf;

### sLen

    public long sLen

  PKCS#11:

         CK_ULONG sLen;

Constructor Detail

### CK_RSA_PKCS_PSS_PARAMS

    public CK_RSA_PKCS_PSS_PARAMS()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_PKCS5_PBKD2_PARAMS.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_PKCS5_PBKD2_PARAMS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18